<?php


function favblog_pro_style( $args = array() ) {
		$options = favblog_pro_get_theme_options();
	?>

		<style type="text/css">
			<?php if ( $options['menu_transparent'] == true ): ?>
				.menu-transparent #masthead {
    				position: absolute;
				}			
			<?php endif ?>		
			<?php if ( $options['topbar_section_enable'] == true ): ?>

				body.customize-support.home.introduction-section-enabled:not(.blog) #masthead{
					top: 0px;
				}

				<?php if ( $options['menu_transparent'] == true && $options['menu_sticky'] == true ): ?>
					#masthead.nav-shrink{
						top: 0px !important;
						position: fixed !important;
					}
					
				<?php endif ?>
				
				<?php if ( $options['menu_transparent'] == true ): ?>
					body #masthead {
					    top: 50px !important;
					    background-color: #00000054 !important;
					}
				<?php endif ?>	
				

				@media screen and (max-width: 1024px) {
					body.customize-support.home.introduction-section-enabled:not(.blog) #masthead{
					top: 0px;
					}
					body:not(.blog) #masthead{
						top: 0px;

					}
					<?php if ( $options['menu_transparent'] == true ): ?>
						body #masthead {
						    top: 36px !important;
						    background-color: #00000054 !important;
						}
					<?php endif ?>	

				}


				body.menu-sticky.home.introduction-section-enabled:not(.blog) #masthead.nav-shrink{
					top: 0px;
				}
				body.customize-support.menu-sticky.home.introduction-section-enabled:not(.blog) #masthead.nav-shrink{
					top: 0px;
				}

				body:not(.blog) #masthead.nav-shrink{
					top: 0px;

				}
				<?php else : ?>
					body.customize-support.home.introduction-section-enabled:not(.blog) #masthead {
					    top: 0px;
					}

					}
			<?php endif ?>
			

			<?php if ( !empty($options['theme_head_typography']) ): ?>
				h1, h2, h3, h4, h5, h6 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_head_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_body_typography']) ): ?>
				body {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_body_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_title_typography']) ): ?>
				.site-title a {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_title_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_description_typography']) ): ?>
				.site-description {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_description_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_menu_typography']) ): ?>
				.menu-item a {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_menu_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_btn_label_typography']) ): ?>
				.btn,
				.more-link a
				 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_btn_label_typography'])) ?>', sans-serif;
				}
			<?php endif ?>

		</style>
		
<?php }

add_action( 'wp_head', 'favblog_pro_style' );