<?php 

$wp_customize->add_section( 'favblog_pro_home_layout', array(
	'title'             => esc_html__( 'Home Page Layout','favblog-pro' ),
	'description'       => esc_html__( 'Home Page Layout option.', 'favblog-pro' ),
	'panel'             => 'favblog_pro_front_page_panel',
) );


$wp_customize->add_setting( 'favblog_pro_theme_options[home_layout]', array(
		'default'           => $options['home_layout'],
		'sanitize_callback' => 'favblog_pro_sanitize_select',
		'transport'			=> 'refresh'
	) );

$wp_customize->add_control( 'favblog_pro_theme_options[home_layout]', array(
	'priority'			=> 50,
	'type'				=> 'radio',
	'label'             => esc_html__( 'Select Homepage layout', 'favblog-pro' ),
	'section'           => 'favblog_pro_home_layout',
	'choices'			=> array( 
		'default-design'	  => esc_html__( 'Default Design', 'favblog-pro' ),
		'pro-design'      	  => esc_html__( 'Pro Design', 'favblog-pro' ),
		'second-design'       => esc_html__( 'Business Design', 'favblog-pro' ),
		'third-design'        => esc_html__( 'Education Design', 'favblog-pro' ),
		'fourth-design'       => esc_html__( 'Shop Design', 'favblog-pro' ),
		'fifth-design'        => esc_html__( 'Medical Design', 'favblog-pro' ),
		'sixth-design'        => esc_html__( 'Construction Design', 'favblog-pro' ),
		'seventh-design'      => esc_html__( 'Charity Design', 'favblog-pro' ),
		'eighth-design'    	  => esc_html__( 'Nature Design', 'favblog-pro' ),
		)
) );