<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage FavBlog Pro
* @since FavBlog Pro 1.0.0
*/

if ( ! function_exists( 'favblog_pro_copyright_text_partial' ) ) :
    // blog btn title
    function favblog_pro_copyright_text_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

// slider section  btn txt
if ( ! function_exists( 'favblog_pro_slider_btn_txt_partial' ) ) :
    function favblog_pro_slider_btn_txt_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['slider_btn_txt'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_hero_section_tag_title_partial' ) ) :
    // slider section title title
    function favblog_pro_hero_section_tag_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['hero_section_tag_title'] );
    }
endif;
if ( ! function_exists( 'favblog_pro_slider_section_partial_title' ) ) :
    // slider section title title
    function favblog_pro_slider_section_partial_title() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['slider_section_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_about_section_partial_title' ) ) :
    // about section title title
    function favblog_pro_about_section_partial_title() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['about_section_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_about_section_partial_custom_content' ) ) :
    // about custom content
    function favblog_pro_about_section_partial_custom_content() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['about_custom_content'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_about_section_partial_custom_title' ) ) :
    // about custom title
    function favblog_pro_about_section_partial_custom_title() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['about_custom_title'] );
    }
endif;

//service section sub title selective refresh
if ( ! function_exists( 'favblog_pro_service_section_partial_sub_title' ) ) :
    // service section  sub title
    function favblog_pro_service_section_partial_sub_title() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['service_section_sub_title'] );
    }
endif;

//service section title selective refresh
if ( ! function_exists( 'favblog_pro_service_section_partial_title' ) ) :
    // service section  title
    function favblog_pro_service_section_partial_title() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['service_section_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_service_section_btn_txt_partial' ) ) :
    // service section  btn txt
    function favblog_pro_service_section_btn_txt_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['service_section_btn_txt'] );
    }
endif;


if ( ! function_exists( 'favblog_pro_service_post_btn_txt_partial' ) ) :
    // service section  btn txt
    function favblog_pro_service_post_btn_txt_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['service_post_btn_txt'] );
    }
endif;

// Destination section  sub title
if ( ! function_exists( 'favblog_pro_destination_section_partial_sub_title' ) ) :
    function favblog_pro_destination_section_partial_sub_title() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['destination_section_sub_title'] );
    }
endif;
// Destination section  title
if ( ! function_exists( 'favblog_pro_destination_section_partial_title' ) ) :
    function favblog_pro_destination_section_partial_title() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['destination_section_title'] );
    }
endif;
// Destination section  description
if ( ! function_exists( 'favblog_pro_destination_section_partial_description' ) ) :
    function favblog_pro_destination_section_partial_description() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['destination_section_description'] );
    }
endif;
// Destination section  btn txt
if ( ! function_exists( 'favblog_pro_destination_section_partial_btn_txt' ) ) :
    function favblog_pro_destination_section_partial_btn_txt() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['destination_section_btn_txt'] );
    }
endif;

//Blog section sub title selective refresh
if ( ! function_exists( 'favblog_pro_blog_section_partial_sub_title' ) ) :
    // Testimonial section  sub title
    function favblog_pro_blog_section_partial_sub_title() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['blog_section_sub_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_blog_title_partial' ) ) :
    // blog title
    function favblog_pro_blog_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['blog_title'] );
    }
endif;

//Blog section sub title selective refresh
if ( ! function_exists( 'favblog_pro_blog_right_sidebar_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_blog_right_sidebar_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['blog_right_sidebar_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_top_read_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_top_read_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['top_read_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_featured_post_sub_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_featured_post_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['featured_post_sub_title'] );
    }
endif;


if ( ! function_exists( 'favblog_pro_featured_post_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_featured_post_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['featured_post_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_popular_post_sub_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_popular_post_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['popular_post_sub_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_popular_post_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_popular_post_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['popular_post_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_recent_post_sub_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_recent_post_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['recent_post_sub_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_recent_post_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_recent_post_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['recent_post_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_most_read_sub_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_most_read_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['most_read_sub_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_most_read_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_most_read_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['most_read_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_team_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_team_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['team_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_team_sub_title_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_team_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['team_sub_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_team_description_partial' ) ) :
    // Testimonial section  sub title
    function favblog_pro_team_description_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['team_description'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_popular_destination_read_more_btn_label_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_popular_destination_read_more_btn_label_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['popular_destination_read_more_btn_label'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_popular_destination_btn_label_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_popular_destination_btn_label_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['popular_destination_btn_label'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_popular_destination_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_popular_destination_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['popular_destination_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_popular_destination_sub_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_popular_destination_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['popular_destination_sub_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_featured_package_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_featured_package_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['featured_package_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_featured_package_sub_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_featured_package_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['featured_package_sub_title'] );
    }
endif;


if ( ! function_exists( 'favblog_pro_featured_package_btn_label_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_featured_package_btn_label_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['featured_package_btn_label'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_offer_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_offer_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['offer_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_offer_sub_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_offer_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['offer_sub_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_featured_package_btn_label_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_featured_package_btn_label_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['featured_package_btn_label'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_package_btn_label_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_package_btn_label_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['package_btn_label'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_recommended_package_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_recommended_package_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['recommended_package_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_recommended_package_sub_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_recommended_package_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['recommended_package_sub_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_recommended_package_btn_label_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_recommended_package_btn_label_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['recommended_package_btn_label'] );
    }
endif;


if ( ! function_exists( 'favblog_pro_recommended_package_read_more_btn_label_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_recommended_package_read_more_btn_label_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['recommended_package_read_more_btn_label'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_top_read_sub_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_top_read_sub_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['top_read_sub_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_featured_product_btn_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_featured_product_btn_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['featured_product_btn_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_recent_product_title_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_recent_product_title_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['recent_product_title'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_recent_product_subtitle_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_recent_product_subtitle_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['recent_product_subtitle'] );
    }
endif;

if ( ! function_exists( 'favblog_pro_about_btn_txt_partial' ) ) :
    // popular destination destination_read_more_btn
    function favblog_pro_about_btn_txt_partial() {
        $options = favblog_pro_get_theme_options();
        return esc_html( $options['about_btn_txt'] );
    }
endif;
