<?php
/**
 * Home Page sections
 *
 * This is the template that includes all the other files for home page sections
 *
 * @package Theme Palace
 * @subpackage FavBlog Pro
 * @since FavBlog Pro 1.0.0
 */

/**
 * Default Design
 */
// Hero Section section
require get_template_directory() . '/inc/sections/hero-section.php';

// Top Read section
require get_template_directory() . '/inc/sections/top-read.php';

// Featured Post section
require get_template_directory() . '/inc/sections/featured-post.php';

// Featured Post section
require get_template_directory() . '/inc/sections/popular-post.php';

// Recent Post section
require get_template_directory() . '/inc/sections/recent-post.php';

// Most Read section
require get_template_directory() . '/inc/sections/most-read.php';

/**
 * Business Design
 */

// Slider section
require get_template_directory() . '/inc/sections/slider.php';

// About section
require get_template_directory() . '/inc/sections/about.php';

// counter section
require get_template_directory() . '/inc/sections/counter.php';

// counter section
require get_template_directory() . '/inc/sections/service.php';

// Gallery Slider section
require get_template_directory() . '/inc/sections/gallery-slider.php';

// Team section
require get_template_directory() . '/inc/sections/team.php';

// Testimonial section
require get_template_directory() . '/inc/sections/testimonial.php';

/**
 * Education design
 */

// Gallery section
require get_template_directory() . '/inc/sections/gallery.php';

//CTA section
require get_template_directory() . '/inc/sections/cta.php';

/**
 * Shop Design
 */

// latest product section 
require get_template_directory() . '/inc/sections/latest-product.php';

// popular product section 
require get_template_directory() . '/inc/sections/popular-product.php';

// product collection section 
require get_template_directory() . '/inc/sections/product-collection.php';

// recent product section 
require get_template_directory() . '/inc/sections/recent-product.php';

// featured product section 
require get_template_directory() . '/inc/sections/featured-product.php';

// trending product section 
require get_template_directory() . '/inc/sections/trending-product.php';

// trending product section 
require get_template_directory() . '/inc/sections/subscription.php';
